aboutsummaryrefslogtreecommitdiff
path: root/network/SpiderOakONE/SpiderOakONE.SlackBuild
diff options
context:
space:
mode:
authorAlfredo Tomasini <alto.tom@gmail.com>2019-09-14 11:06:53 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2019-09-14 11:06:53 +0700
commit95f2e0091592c434c2978d47219da47d3c8d473b (patch)
tree4e0414438396f099d69bcec65b990541b0f13eb9 /network/SpiderOakONE/SpiderOakONE.SlackBuild
parentf0cd9c51b974b00cddaf97564e5a2a3d2fa2f233 (diff)
network/SpiderOakONE: Added (backup system).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/SpiderOakONE/SpiderOakONE.SlackBuild')
-rw-r--r--network/SpiderOakONE/SpiderOakONE.SlackBuild58
1 files changed, 58 insertions, 0 deletions
diff --git a/network/SpiderOakONE/SpiderOakONE.SlackBuild b/network/SpiderOakONE/SpiderOakONE.SlackBuild
new file mode 100644
index 0000000000000..d26c38d6a0424
--- /dev/null
+++ b/network/SpiderOakONE/SpiderOakONE.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# Slackware build script for SpiderOak
+
+# Copyright (c) 2019 Alfredo Tomasini <alto.tom@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Written by Alfredo Tomasini <alto.tom@gmail.com>
+# SpiderOakONE-7.5.0-slack_tar_x64.tgz
+
+PRGNAM="SpiderOakONE"
+EXTRA="slack_tar_x64"
+VERSION=${VERSION:-7.5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=`uname -a | cut -f12 -d\ `
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+rm -rf $TMP/$PRGNAM
+mkdir -p $TMP $PKG $OUTPUT $TMP/$PRGNAM
+cd $TMP/$PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION-$EXTRA.tgz || tar xvf $CWD/slack_tar_x64
+chown -R root:root .
+
+cp -r * $PKG
+mv $PKG/usr/share/man/ $PKG/usr/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/SpiderOakONE/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION}-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}